const Mesa = require('vendor/Mesa.js');

/**
 * A Mesa Script exports a class with a script() method.
 */
module.exports = new class {

  /**
   * Mesa Script
   *
   * @param {object} payload The payload data
   * @param {object} context Additional context about this task
   */
  script = (payload, context) => {
    const vars = context.steps;

    let collectionObjects = [];

    if (vars.data_1[0] && vars.data_1[0].collections) {
      let collectionsCommaSeparated = vars.data_1[0].collections;
      let collectionsArray = collectionsCommaSeparated.split(",");

      for (let collectionTitle of collectionsArray) {
        collectionObjects.push({
          "title": collectionTitle,
        });
      }
    }

    Mesa.output.next({"collections": collectionObjects});
  }
}
