const Mesa = require("vendor/Mesa.js");
const Loop = require('vendor/Loop.js');

/**
 * A Mesa Script exports a class with a script() method.
 */
module.exports = new class {

  /**
   * Mesa Script
   *
   * @param {object} payload The payload data
   * @param {object} context Additional context about this task
   */
  script = (payload, context) => {

    // Get the sum_field liquid token before it has been evaluated
    const {map_field} = context.trigger.raw_metadata;

    // Loop over each matching item and sum up the values of the sum_field
    let items = [];
    Loop.process(payload, context, (mapFieldValue, key) => {    
      items.push(mapFieldValue)
    }, '{{count}} matching item{{plural}} in {{humanKey}}', map_field);

    // Continue to the next step
    Mesa.output.nextOutput({
        items: items,
        comma_separated: items.join(','),
    });

  }
}


